Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Sun, 26 Jan 2025 10:19:05 +0100

martin rudalics <[email-masked]> writes:

>>> So it is still true that a frame other than the top frame returns t
>>> from frame-visible-p, right?  Here's the recipe:
>>>
>>>    emacs -Q -nw
>>>    C-x 5 b RET
>>>    M-: (frame-visible-p (next-frame)) RET
>>>     => t
>>>
>>> This is different from GUI frames, in that z-order is not considered
>>> on TTYs.
>>
>> That looks like a bug to me. I think it should return nil. (Although I'm
>> never 100% sure with the frame code.) Opinions?
>
> The doc-string of 'make-frame-invisible' says that
>
>   This function has no effect on text terminal frames.  Such frames are
>   always considered visible, whether or not they are currently being
>   displayed in the terminal.
>
> martin

Should we make a bug for that so that is doesn't get forgotten?
Probably also a lot of other doc strings need fixing. make-frame-visible
is also not right. And another one I changed recently.